%global debug_package %{nil}
%ifarch %{ocaml_native_compiler}
    %global target qtest.native
%else
    %global target qtest.byte
%endif

Name:           ocaml-qtest
Version:        2.7
Release:        1%{?dist}
Summary:        Inline (Unit) Tests for OCaml

License:        GPLv3+
URL:            https://github.com/vincent-hugot/iTeML
Source0:        https://github.com/vincent-hugot/iTeML/archive/v%{version}/%{name}-%{version}.tar.gz

#https://github.com/vincent-hugot/iTeML/issues/48
Patch0:         ocaml-qtest-LICENSE.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit >= 2.0.0
BuildRequires:  ocaml-qcheck >= 0.5
BuildRequires:  help2man


%description
qtest extracts inline unit tests written using a special syntax in
comments. Those tests are then run using the oUnit framework and the
qcheck library. The possibilities range from trivial tests -- extremely
simple to use -- to sophisticated random generation of test cases.


%prep
%setup -q -n iTeML-%{version}
%patch0 -p1


%build
ocamlbuild -use-ocamlfind src/%{target}


%install
install -Dp -m 0755 %{target} $RPM_BUILD_ROOT%{_bindir}/qtest

# generate manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
help2man $RPM_BUILD_ROOT%{_bindir}/qtest \
    --output $RPM_BUILD_ROOT%{_mandir}/man1/qtest.1 \
    --name "Inline (Unit) Tests for OCaml" \
    --version-string %{version} \
    --no-info


%files
%doc README.adoc HOWTO.adoc
%license LICENSE
%{_bindir}/qtest
%{_mandir}/man1/qtest.1*

%changelog
* Thu Nov 23 2017 Andy Li <andy@onthewings.net> - 2.7-1
- Initial RPM release.
